<?php



    if (isset($_POST['Submit'])) {
		

        $_POST = array_map('trim', $_POST);
        $_POST = array_map('strip_tags', $_POST);

        $name_max_characters = 64;
        if ($_POST['name'] == "") {
            setMessage(_t('Fill-in your name.'), 'error');
        } elseif (strlen($_POST['name']) > $name_max_characters) {
            setMessage(_t('Name can\'t be longer than %name_max_characters characters.',array("%name_max_characters" => $name_max_characters)), 'error');
        }

        if ($_POST['email'] == "") {
            setMessage(_t('Fill-in your e-mail.'), 'error');
        } elseif (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
            setMessage(_t('E-mail address is not valid.'), 'error');
        }

        $msg_max_characters = 1024;
        if ($_POST['message'] == "") {
            setMessage(_t('Fill-in content of the message.'), 'error');
        } elseif (strlen($_POST['message']) > $msg_max_characters) {
            setMessage(_t('Message can\'t be longer than %msg_max_characters characters.',array("%msg_max_characters" => $msg_max_characters)), 'error');
        }

        if (strtolower($_POST['captchaaa']) != strtolower($_SESSION['captchaBlack'])) {

            setMessage(_t('Captcha is not valid.'), 'error');
			
        }

        if (isset($_SESSION['flood']) && (time() < ($_SESSION['flood'] + 600))) {
            setMessage(_t("We're sorry, you can only send a message once every %count minutes. Please try again in %left minute(s)", array('%count' => 10, '%left' => (10 - (ceil((time() - $_SESSION['flood']) / 60))))), 'error');
        }

        if (!getMessages(false, 'error')) {
            $data = array(
                'to_email' => $admin_email,
                'to_name' => $sitename,
                'from_email' => $_POST['email'],
                'from_name' => $_POST['name'],
                'replyto_email' => $_POST['email'],
                'subject' => "Message from: $_POST[name]",
                'message' => $_POST['message'],
                'custom_theme' => 'mail-contact',
            );
            $data['ip'] = $_SERVER['REMOTE_ADDR'];
            sendAdminMessage($data);
            $_SESSION['flood'] = time();

            setMessage(_t('Your message has been sent. Thank you!'),'success');
            
            header("Location: $basehttp/contact");exit;
        }
    } else {
        if (isset($_SESSION['userid'])) {
            $_POST['email'] = $_SESSION['email'];
            $_POST['name'] = $_SESSION['username'];
        }
    }
?>