<?php
header("Content-Type: text/css"); 
header("X-Content-Type-Options: nosniff");
include("../../../admin/config.php");
?>
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
:root {
    --headerButtonBackground: <?php if(isset($templateConfig['headerButtonBackground']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['headerButtonBackground']; } else { ?>#ff4157<?php } ?>;
    --headerButtonColor: <?php if(isset($templateConfig['headerButtonColor']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['headerButtonColor']; } else { ?>#ffffff<?php } ?>;
    --mainBackground: <?php if(isset($templateConfig['mainBackground']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['mainBackground']; } else { ?>#ffffff<?php } ?>;
    --headerBackground: <?php if(isset($templateConfig['headerBackground']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['headerBackground']; } else { ?>#1a1a1a<?php } ?>;
    --footerBackground: <?php if(isset($templateConfig['footerBackground']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['footerBackground']; } else { ?>#1a1a1a<?php } ?>;

    --buttonsBackground: <?php if(isset($templateConfig['buttonsBackground']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['buttonsBackground']; } else { ?>#ff4157<?php } ?>;
    --buttonsColor: <?php if(isset($templateConfig['buttonsColor']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['buttonsColor']; } else { ?>#ffffff<?php } ?>;
    --ethnicityColor: <?php if(isset($templateConfig['ethnicityColor']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['ethnicityColor']; } else { ?>#faf575<?php } ?>;

    --liveBtnGreen: <?php if(isset($templateConfig['liveBtnGreen']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['liveBtnGreen']; } else { ?>#028d08<?php } ?>;
    --liveBtnText: <?php if(isset($templateConfig['liveBtnText']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['liveBtnText']; } else { ?>#ffffff<?php } ?>;
    --titleColor: <?php if(isset($templateConfig['titleColor']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['titleColor']; } else { ?>#191919<?php } ?>;
    --descriptionColor: <?php if(isset($templateConfig['descriptionColor']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['descriptionColor']; } else { ?>#454444<?php } ?>;
    --footerLink: <?php if(isset($templateConfig['footerLink']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['footerLink']; } else { ?>#ffffff<?php } ?>;
    --headerLink: <?php if(isset($templateConfig['headerLink']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['headerLink']; } else { ?>#ffffff<?php } ?>;

    --searchHeaderBackground: <?php if(isset($templateConfig['searchHeaderBackground']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['searchHeaderBackground']; } else { ?>#ffffff<?php } ?>;
    --searchHeaderText: <?php if(isset($templateConfig['searchHeaderText']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['searchHeaderText']; } else { ?>#5d5b5b<?php } ?>;
    --inputBackground: <?php if(isset($templateConfig['inputBackground']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['inputBackground']; } else { ?>#434242<?php } ?>;
    
    --filterTitleBackground: <?php if(isset($templateConfig['filterTitleBackground']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['filterTitleBackground']; } else { ?>#191919<?php } ?>;
    --aboutText: <?php if(isset($templateConfig['aboutText']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['aboutText']; } else { ?>#ff4157<?php } ?>;
    --fontFamily:'Poppins', sans-serif;

    --filtersBackground: <?php if(isset($templateConfig['filtersBackground']) && $templateConfig['template_colors_enabled'] == 1) { echo $templateConfig['filtersBackground']; } else { ?>#f3f1f1<?php } ?>;
}