<div class="wrapper">
    <div class="row">

        <div class="notification-col">
            <?php if (isset($_GET['done']) && $_GET['done'] == 'true') { ?>
                <div class="notification success text-center">
                    <p class='description'>
                        <?php if ($require_account_confirmation) { ?>
                            Verification mail was sent to you email address.<br />
                            To login please <strong>verify your account</strong> through email verification link.
                        <?php } else { ?>
                            You may now login at the <a href="<?php echo $basehttp; ?>/login">login page</a>
                        <?php } ?>
                    </p>
                </div>
            <?php } else { ?>	
                <div class="notification info text-center">
                    <p class="description">
                        Sign up for a personal account to save performers utilize other advanced features!
                    </p>
                </div>
                <?php echo getMessages(); ?>
            <? } ?>
        </div>

    </div>

    <div class="row">

        <form method="post" class="form-col -access">
            <div class="row">
                
                <div class="form-item -full">
                    <label for="username" class="form-label">Username/Email</label>
                    <input name='signup_username' type="text" class="form-control" id="username" placeholder="login" />
                </div>
                <div class="form-item -full">
                    <label for="password" class="form-label">Password</label>
                    <input name='signup_password' type="password" class="form-control" id="password" placeholder="password" />
                </div>
                <div class="form-item -full">
                    <label for="email" class="form-label">Email</label>
                    <input name='signup_email' type="email" class="form-control" id="email" placeholder="email" />
                </div>
                <?php if ($enable_signup_captcha) { ?>
                    <div class="form-item -full">
                        <div class="captcha">
                            <img src="<?php echo $basehttp; ?>/includes/captchaBlack.php?<?php echo time(); ?>" class="captcha captcha-img captcha__img">
                            <input class="form-control captcha-input -captcha captcha__input" id="signup_captchaaa" name="captchaaa" type="text" value="" placeholder="Human?">
                        </div>
                    </div>
                <? } ?>
                <div class="form-item -full">
                    <div class="checkbox">
                        <label>
                            <input type="checkbox" name="signup_tos" />
                            <span class="sub-label">
                                Click here to indicate that you have read and agree to the <a class="fr__link" href="<? echo $basehttp; ?>/static/tos.html">terms of service and privacy policy</a>
                            </span>
                        </label>
                    </div>
                </div>
                <div class="form-item -actions">
                    <button class="btn btn-nav" type="submit">sign up</button>
                </div>
                
            </div>
        </form>

    </div>
</div>
